Subject: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-05.txt

From: [email-masked]
Date: Fri, 11 Mar 2016 05:09:00 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the L3VPN Service Model  of the IETF.

        Title           : YANG Data Model for L3VPN service delivery
        Authors         : Stephane Litkowski
                          Rob Shakir
                          Luis Tomotaki
                          Kenichi Ogaki
                          Kevin D'Souza
	Filename        : draft-ietf-l3sm-l3vpn-service-model-05.txt
	Pages           : 110
	Date            : 2016-03-11

Abstract:
   This document defines a YANG data model that can be used to deliver a
   Layer 3 Provider Provisioned VPN service.  The document is limited to
   the BGP PE-based VPNs as described in RFC4110 and RFC4364.  This
   model is intended to be instantiated at management system to deliver
   the overall service.  This model is not a configuration model to be
   used directly on network elements.  This model provides an abstracted
   view of the Layer 3 IPVPN service configuration components.  It will
   be up to a management system to take this as an input and use
   specific configurations models to configure the different network
   elements to deliver the service.  How configuration of network
   elements is done is out of scope of the document.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-l3sm-l3vpn-service-model/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-l3sm-l3vpn-service-model-05

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-l3sm-l3vpn-service-model-05

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

---

From: <[email-masked]>
Date: Fri, 11 Mar 2016 13:09:45 +0000

This version contains the last discussion on multiVPN and subVPN.

-----Original Message-----
From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, March 11, 2016 14:09
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-l3sm-l3vpn-service-model-05.txt

Abstract:

Please note that it may take a couple of minutes from the time of submission until the htmlized version and diff are available at tools.ietf.org.

_______________________________________________
I-D-Announce mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/i-d-announce
Internet-Draft directories: http://www.ietf.org/shadow.html or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

_________________________________________________________________________________________________________________________

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc
pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler
a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration,
Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law;
they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

---

From: "Ogaki, Kenichi" <[email-masked]>
Date: Mon, 14 Mar 2016 19:06:58 +0900

Hi Stephane,

Thank you for updating the draft.

-Another editorials
vpn-svc isn't already a top-level container. 

Sectin 5
   The YANG module is divided in three main containers : vpn-svc, sites, site-templates.
->
   The YANG module is divided in three main containers : vpn-services, sites, site-templates.

   The vpn-svc defines global parameters for the VPN service for a specific customer.
->
   The vpn-svc under vpn-services defines global parameters for the VPN service for a specific customer.

Section 5.1
The vpn-svc top container contains generic information about the VPN service.
->
The vpn-svc container contains generic information about the VPN service.

Section 7, Example of VPN site request

   </routing-protocols>
    <type>customer-managed>/type<
   <vpn-policy-list>
->
   </routing-protocols>
    <type>customer-managed</type>
   <vpn-policy-list>

-Here are text proposals for Section 9 and 11.
Could someone correct and shape up more?

9.  Security Considerations

The YANG modules defined in this memo MAY be accessed via the RESTCONF protocol [draft-ietf-netconf-restconf-09.txt]. The lowest RESTCONF layer requires that the transport-layer protocol provides both data integrity and confidentiality, see Section 2 in [draft-ietf-netconf-restconf-09.txt]. The client MUST carefully examine the certificate presented by the server to determine if it meets the client's expectations, and the server MUST authenticate client access to any protected resource. The client identity derived from the authentication mechanism used is subject to the NETCONF Access Control Module (NACM) [RFC6536].
Other protocols to access this YANG module are also required to support the similar functionality.

The data nodes defined in the "ietf-l3vpn-svc" YANG module MUST be carefully created/read/updated/deleted in most use cases. The entry in the lists below includes customer proprietary or confidential information, therefore only the client has the right to access each entry MUST be authorized.

   o  /l3vpn-svc/vpn-services/vpn-svc
   o  /l3vpn-svc/sites/site
   o  /l3vpn-svc/site-templates/site-template

11.  IANA Considerations

   This document registers a URI in the "IETF XML Registry" [RFC3688].
   Following the format in RFC 3688, the following registration has been
   made.

       URI: urn:ietf:params:xml:ns:yang:ietf-l3vpn-svc
       Registrant Contact: The L3SM WG of the IETF.
       XML: N/A; the requested URI is an XML namespace.

   This document registers a YANG module in the "YANG Module Names"
   registry [RFC6020].

    Name:         ietf-l3vpn-svc
    Namespace:    urn:ietf:params:xml:ns:yang:ietf-l3vpn-svc
    Prefix:       l3vpn-svc
    Reference:    TBA

Thanks,
Kenichi

-----Original Message-----
From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, March 11, 2016 14:09
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-l3sm-l3vpn-service-model-05.txt

Abstract:

Ce message et ses pieces jointes peuvent contenir des informations confidentielles ou privilegiees et ne doivent donc pas etre diffuses, exploites ou copies sans autorisation. Si vous avez recu ce message par erreur, veuillez le signaler a l'expediteur et le detruire ainsi que les pieces jointes. Les messages electroniques etant susceptibles d'alteration, Orange decline toute responsabilite si ce message a ete altere, deforme ou falsifie. Merci.

This message and its attachments may contain confidential or privileged information that may be protected by law; they should not be distributed, used or copied without authorisation.
If you have received this email in error, please notify the sender and delete this message and its attachments.
As emails may be altered, Orange is not liable for messages that have been modified, changed or falsified.
Thank you.

_______________________________________________
L3sm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/l3sm

---

From: <[email-masked]>
Date: Mon, 14 Mar 2016 11:01:07 +0000

Hi,

Thanks for the check, I fixed the XML template I'm using, the changes will be added in the next revision.
Let's wait for other reviews, then I will publish a new version.

Thanks,

Stephane

-----Original Message-----
From: Ogaki, Kenichi [mailto:[email-masked]] 
Sent: Monday, March 14, 2016 11:07
To: LITKOWSKI Stephane OBS/OINIS; [email-masked]
Subject: RE: [L3sm] I-D Action: draft-ietf-l3sm-l3vpn-service-model-05.txt

Hi Stephane,

-Another editorials

Sectin 5

Section 5.1

   </routing-protocols>

11.  IANA Considerations

    Name:         ietf-l3vpn-svc

Thanks,
Kenichi

-----Original Message-----
From: I-D-Announce [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Friday, March 11, 2016 14:09
To: [email-masked]
Cc: [email-masked]
Subject: I-D Action: draft-ietf-l3sm-l3vpn-service-model-05.txt

Abstract: